#include <string.h>
#include <stdio.h>
#include "sysdep.h"
#include "uuid.h"
#include "uuidlib.h"

int main(int argc, char **argv) {
	char *guid, *uuid;
	char *guid2, *uuid2;
	uuid_t	u;
	int i;
        FILE * fd;
	guid = (char *) malloc(37);
	uuid = (char *) malloc(23); 
	guid2 = (char *) malloc(37);
	uuid2 = (char *) malloc(23); 
    memset(guid,0,37);
    memset(guid2,0,37);
    memset(uuid,0,23);
    memset(uuid2,0,23);
    printf("Testing create guid, squash and expand/n");
	for (i=0; i < 500; i++) {
	    fn_guid_create(guid);
	    fn_squash_guid(guid,uuid);
	    fn_expand_uuid(uuid,guid2);
        if (strcmp(guid,guid2) != 0) {
           printf("Original - %s\n",guid);
	       printf("New      - %s\n",guid2);    
        } else {
          printf("\n%s", guid2);
        }
     }
     
     system("PAUSE");
     printf("\n\nTesting create uuid, expand and squash/n");
	 for (i=0; i < 500; i++) {
     
	    fn_uuid_create(uuid);
	    fn_expand_uuid(uuid,guid);
	    fn_squash_guid(guid,uuid2);
        if (strcmp(uuid,uuid2) != 0) {
 	       printf("Original - %s\n",uuid);
           printf("New      - %s\n",uuid2);
        } else {
          printf("\n%s", uuid2);
        }
     }


/*	for (i=0; i < 1; i++) {
		fn_uuid_create(uuid);
		printf("uuid is   - %s\n",uuid);
	}

	fn_expand_uuid(uuid,guid);
	printf("guid id   - %s\n",guid);*/
	system("PAUSE");
	return 0;
}

void puid(uuid_t* u) {
      int i;

      printf("%8.8x-%4.4x-%4.4x-%2.2x%2.2x-", u->time_low, u->time_mid,
                 u->time_hi_and_version, u->clock_seq_hi_and_reserved,
					            u->clock_seq_low);
      for (i = 0; i < 6; i++)
                printf("%2.2x", u->node[i]);
      printf("\n");
};

